Bug 538563 - INTEL:845G:KMS Crash in Xserver (image locks up)
INTEL:845G:KMS Crash in Xserver (image locks up)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
12
All Linux
low Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
: 538818 (view as bug list)
Depends On:
Blocks: eq-overflow
  Show dependency treegraph
 
Reported: 2009-11-18 15:01 EST by EMR_Fedora
Modified: 2010-12-03 22:12 EST (History)
24 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 22:12:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Xorg Logfile with tracedump (70.09 KB, text/plain)
2009-11-18 15:01 EST, EMR_Fedora
no flags Details
lsmod (list of modules) (1.32 KB, text/plain)
2009-11-18 15:02 EST, EMR_Fedora
no flags Details
lspci (short) (1.09 KB, text/plain)
2009-11-18 15:02 EST, EMR_Fedora
no flags Details
lspci (verbose) (6.87 KB, text/plain)
2009-11-18 15:03 EST, EMR_Fedora
no flags Details
dmesg (25.86 KB, text/plain)
2009-11-18 15:10 EST, EMR_Fedora
no flags Details
xorg dumpfile 11-19 (72.33 KB, text/plain)
2009-11-20 15:22 EST, EMR_Fedora
no flags Details
xorg dumpfile 11-20 (74.40 KB, text/plain)
2009-11-20 15:23 EST, EMR_Fedora
no flags Details
xorg dumpfile 12-01 (72.11 KB, text/plain)
2009-12-01 10:02 EST, EMR_Fedora
no flags Details
list of updates applied after which the problem started to occur (31.12 KB, text/plain)
2010-03-07 16:43 EST, Kurt Keller
no flags Details

  None (edit)
Description EMR_Fedora 2009-11-18 15:01:40 EST
Created attachment 370185 [details]
Xorg Logfile with tracedump

Description of problem:
While logged into X11, after an undetermined amount of time - perhaps while scrolling in Thunderbird or Firefox, my entire display locks up. The only thing that works is the mouse. I can still login remotely to my desktop, but I have to reboot the machine to get control of my video/keyboard/mouse. If I kill X11 the screen goes blank, but I still do not get control of my keyboard and mouse. Intel Corporation 82845G/GL[Brookdale-G]/GE Chipset Integrated Graphics Device (rev 01)

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.7.1-7.fc12.i686
xorg-x11-drv-intel-2.9.1-1.fc12.i686
Intel Corporation 82845G/GL[Brookdale-G]/GE Chipset Integrated Graphics Device (rev 01)

How reproducible:
Login to X11, wait, or scroll a lot in Thunderbird/Firefox (with Compiz turned OFF)

Steps to Reproduce:
1. Login
2. Wait, or scroll a lot in Thunderbird/Firefox
3.
  
Actual results:
Entire screen with full image locks up. Mouse cursor moves.

Expected results:
Continued operation of X11

Additional info:
Comment 1 EMR_Fedora 2009-11-18 15:02:12 EST
Created attachment 370186 [details]
lsmod (list of modules)
Comment 2 EMR_Fedora 2009-11-18 15:02:35 EST
Created attachment 370187 [details]
lspci (short)
Comment 3 EMR_Fedora 2009-11-18 15:03:12 EST
Created attachment 370188 [details]
lspci (verbose)
Comment 4 EMR_Fedora 2009-11-18 15:10:15 EST
Created attachment 370189 [details]
dmesg
Comment 5 EMR_Fedora 2009-11-20 15:18:17 EST
It has hung up hard, requiring a remote reboot, two more times since I opened this bug. The way to reproduce it seems the same. It has always happened while I am scrolling either in firefox or thunderbird. I have attached the xorg.0.logs of the various times.
Comment 6 EMR_Fedora 2009-11-20 15:22:32 EST
Created attachment 372599 [details]
xorg dumpfile 11-19
Comment 7 EMR_Fedora 2009-11-20 15:23:10 EST
Created attachment 372600 [details]
xorg dumpfile 11-20
Comment 8 EMR_Fedora 2009-11-20 15:49:07 EST
BTW, nomodeset is in the grub.conf kernel argument.
Comment 9 EMR_Fedora 2009-11-25 10:49:54 EST
Xorg locked up hard again... 11/25/2009 10:15A EDT
Comment 10 Iyengar 2009-11-26 08:03:15 EST
*** Bug 538818 has been marked as a duplicate of this bug. ***
Comment 11 Michael Young 2009-11-27 07:50:29 EST
I am seeing this as well.
Comment 12 Matěj Cepl 2009-11-27 12:51:51 EST
Backtrace:
0: /usr/bin/Xorg (xorg_backtrace+0x3c) [0x80e587c]
1: /usr/bin/Xorg (mieqEnqueue+0x1b7) [0x80e51a7]
2: /usr/bin/Xorg (xf86PostMotionEventP+0xd4) [0x80bf8a4]
3: /usr/lib/xorg/modules/input/evdev_drv.so (0x26a000+0x3172) [0x26d172]
4: /usr/lib/xorg/modules/input/evdev_drv.so (0x26a000+0x3466) [0x26d466]
5: /usr/bin/Xorg (0x8047000+0x6b1f0) [0x80b21f0]
6: /usr/bin/Xorg (0x8047000+0x11ed24) [0x8165d24]
7: (vdso) (__kernel_sigreturn+0x0) [0xe94400]
8: (vdso) (__kernel_vsyscall+0x2) [0xe94416]
9: /lib/libc.so.6 (ioctl+0x19) [0x43847e39]
10: /usr/lib/libdrm.so.2 (drmIoctl+0x2e) [0x45ed288e]
11: /usr/lib/libdrm.so.2 (drmCommandNone+0x33) [0x45ed2cd3]
12: /usr/lib/xorg/modules/drivers/intel_drv.so (0x12e000+0x2059e) [0x14e59e]
13: /usr/bin/Xorg (0x8047000+0x16c32b) [0x81b332b]
14: /usr/bin/Xorg (0x8047000+0xa101b) [0x80e801b]
15: /usr/bin/Xorg (BlockHandler+0x58) [0x80736b8]
16: /usr/bin/Xorg (WaitForSomething+0x10c) [0x80a0e1c]
17: /usr/bin/Xorg (0x8047000+0x26f30) [0x806df30]
18: /usr/bin/Xorg (0x8047000+0x1b8c5) [0x80628c5]
19: /lib/libc.so.6 (__libc_start_main+0xe6) [0x4378cbb6]
20: /usr/bin/Xorg (0x8047000+0x1b4b1) [0x80624b1]
Comment 13 EMR_Fedora 2009-11-30 12:37:13 EST
I came back to the office to see Xorg locked up again. No backtrace this time in the Xorg logs. How do I turn on debugging in X11? It happens at least once a day, so if I turn it on, we might capture some info.

I am running Xscreensaver. 

Please note that Xorg crashes even without KMS. My boot is: "	kernel /vmlinuz-2.6.31.5-127.fc12.i686 ro root=/dev/mapper/vg_foo-lv_root rhgb SYSFONT=latarcyrheb-sun16 LANG=en_US.UTF-8 KEYTABLE=us nomodeset"
Comment 14 Jared Smith 2009-11-30 13:00:08 EST
Which screensaver have you chosen?  In the distant past, I had similar problems with screensavers that required certain 3D features to be supported on the graphics card.  It's a stab in the dark, but it might just help.
Comment 15 Ryan Rix 2009-12-01 02:11:54 EST
I'm having very similiar issues, though it may not be the same bug. Intel 945 random hardlocks since I've upgraded. Adding myself to CC on this report
Comment 16 EMR_Fedora 2009-12-01 09:55:46 EST
The screensaver doesn't seem to be the issue. It happens when I scroll as well. So it really does seem random from the end user perspective. If this isn't fixed soon, I'll have to downgrade back to F11 or another distro because it's beginning to be a major distraction and am losing unsaved work randomly. I spend about 20 minutes on each of these crashes. 

Today, I noticed that a kerneloops popped up with the i915 driver:

Dec  1 09:25:45 pc788 console-kit-daemon[1064]: WARNING: no sender#012
Dec  1 09:25:45 pc788 rpcbind: rpcbind terminating on signal. Restart with "rpcbind -w"
Dec  1 09:25:46 pc788 auditd[901]: The audit daemon is exiting.
Dec  1 09:25:46 pc788 kernel: type=1305 audit(1259677546.080:9428): audit_pid=0 old=901 auid=4294967295 ses=4294967295 subj=kernel res=1
Dec  1 09:25:47 pc788 kernel: IPv6 over IPv4 tunneling driver
Dec  1 09:25:47 pc788 kernel: sit0: Disabled Privacy Extensions
Dec  1 09:26:15 pc788 kernel: usb 1-4: USB disconnect, address 3
Dec  1 09:27:55 pc788 kernel: INFO: task i915/0:98 blocked for more than 120 seconds.
Dec  1 09:27:55 pc788 kernel: "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
Dec  1 09:27:55 pc788 kernel: i915/0        D f654b598     0    98      2 0x00000000
Dec  1 09:27:55 pc788 kernel: f6589f14 00000046 fecf0271 f654b598 c09ef6ec c09f4120 f654b598 f6589edc
Dec  1 09:27:55 pc788 kernel: c09f4120 c09f4120 c09f4120 0510e964 c04291dc 00000000 8bdb13f2 00004db1
Dec  1 09:27:55 pc788 kernel: c257e120 f654b300 00000000 f6589f18 c0430cc4 00000000 f64f9c14 f654b300
Dec  1 09:27:55 pc788 kernel: Call Trace:
Comment 17 EMR_Fedora 2009-12-01 10:02:29 EST
Created attachment 375078 [details]
xorg dumpfile 12-01
Comment 18 EMR_Fedora 2009-12-01 18:03:57 EST
FYI, it happened again while running scrolling around and a focus follows mouse event in Netbeans 6.7.1 downloaded from Sun's site... once again losing work. Is there a work around or debugging I can turn on to give you more information?

[mi] EQ overflowing. The server is probably stuck in an infinite loop.

Backtrace:
0: /usr/bin/Xorg (xorg_backtrace+0x3c) [0x80e587c]
1: /usr/bin/Xorg (mieqEnqueue+0x1b7) [0x80e51a7]
2: /usr/bin/Xorg (xf86PostMotionEventP+0xd4) [0x80bf8a4]
3: /usr/lib/xorg/modules/input/evdev_drv.so (0x176000+0x3172) [0x179172]
4: /usr/lib/xorg/modules/input/evdev_drv.so (0x176000+0x3466) [0x179466]
5: /usr/bin/Xorg (0x8047000+0x6b1f0) [0x80b21f0]
6: /usr/bin/Xorg (0x8047000+0x11ed24) [0x8165d24]
7: (vdso) (__kernel_sigreturn+0x0) [0x42c400]
8: (vdso) (__kernel_vsyscall+0x2) [0x42c416]
9: /lib/libc.so.6 (ioctl+0x19) [0x43847e39]
10: /usr/lib/libdrm_intel.so.1 (drm_intel_gem_bo_map_gtt+0x7a) [0x1482da]
11: /usr/lib/xorg/modules/drivers/intel_drv.so (0x8b1000+0x3e6ad) [0x8ef6ad]
12: /usr/lib/xorg/modules/drivers/intel_drv.so (0x8b1000+0x53de5) [0x904de5]
13: /usr/lib/xorg/modules/drivers/intel_drv.so (0x8b1000+0x55efb) [0x906efb]
14: /usr/bin/Xorg (miCopyRegion+0x213) [0x8196a93]
15: /usr/bin/Xorg (miDoCopy+0x44d) [0x8196fbd]
16: /usr/lib/xorg/modules/drivers/intel_drv.so (0x8b1000+0x55b49) [0x906b49]
17: /usr/bin/Xorg (0x8047000+0xd6ad4) [0x811dad4]
18: /usr/bin/Xorg (0x8047000+0xaef9d) [0x80f5f9d]
19: /usr/bin/Xorg (0x8047000+0xb0627) [0x80f7627]
20: /usr/bin/Xorg (0x8047000+0x271f7) [0x806e1f7]
21: /usr/bin/Xorg (0x8047000+0x1b8c5) [0x80628c5]
22: /lib/libc.so.6 (__libc_start_main+0xe6) [0x4378cbb6]
23: /usr/bin/Xorg (0x8047000+0x1b4b1) [0x80624b1]
Comment 19 Garry T. Williams 2009-12-01 19:03:16 EST
I encountered a similar lock-up after walking away from my machine with xscreensaver running.  I had to power-cycle to recover.  (A remote login was successful but a shutdown just hung forever.)

kernel-2.6.31.6-145.fc12.x86_64
xorg-x11-server-Xorg-1.7.1-7.fc12.x86_64
xorg-x11-drv-intel-2.9.1-1.fc12.x86_64

00:02.0 VGA compatible controller: Intel Corporation 4 Series Chipset Integrated Graphics Controller (rev 03) (prog-if 00 [VGA controller])
00:02.1 Display controller: Intel Corporation 4 Series Chipset Integrated Graphics Controller (rev 03)

Xorg.0.log.old:

[mi] EQ overflowing. The server is probably stuck in an infinite loop.

Backtrace:
0: /usr/bin/X (xorg_backtrace+0x28) [0x49e8d8]
1: /usr/bin/X (mieqEnqueue+0x1f4) [0x49e2a4]
2: /usr/bin/X (xf86PostMotionEventP+0xce) [0x478f0e]
3: /usr/lib64/xorg/modules/input/evdev_drv.so (0x7f91f18a6000+0x50bf) [0x7f91f18ab0bf]
4: /usr/bin/X (0x400000+0x6be17) [0x46be17]
5: /usr/bin/X (0x400000+0x116b13) [0x516b13]
6: /lib64/libpthread.so.0 (0x323ba00000+0xefa0) [0x323ba0efa0]
7: /lib64/libc.so.6 (ioctl+0x7) [0x323b2d61f7]
8: /usr/lib64/libdrm.so.2 (drmIoctl+0x23) [0x324d403203]
9: /usr/lib64/libdrm.so.2 (drmCommandNone+0x16) [0x324d403506]
10: /usr/lib64/xorg/modules/drivers/intel_drv.so (0x7f91f2dc2000+0x26538) [0x7f91f2de8538]
11: /usr/bin/X (0x400000+0x160bc4) [0x560bc4]
12: /usr/bin/X (0x400000+0xa0cd0) [0x4a0cd0]
13: /usr/bin/X (BlockHandler+0x50) [0x431830]
14: /usr/bin/X (WaitForSomething+0x141) [0x45bd01]
15: /usr/bin/X (0x400000+0x2c3b2) [0x42c3b2]
16: /usr/bin/X (0x400000+0x21cfa) [0x421cfa]
17: /lib64/libc.so.6 (__libc_start_main+0xfd) [0x323b21eb1d]
18: /usr/bin/X (0x400000+0x218a9) [0x4218a9]

messages:

kernel: INFO: task i915/1:147 blocked for more than 120 seconds.
kernel: "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
kernel: i915/1        D ffff880077306828     0   147      2 0x00000000
kernel: ffff880076e27d60 0000000000000046 ffff8800772fc6b8 ffff8800019f1670
kernel: ffff880076e27ce0 ffffffff81040488 ffff8800772fc6b8 ffff8800019f1670
kernel: ffff8800772fca48 000000000000f8f0 ffff8800772fca48 0000000000015600
kernel: Call Trace:
kernel: [<ffffffff81040488>] ? update_curr+0xf7/0x100
kernel: [<ffffffff810106c5>] ? __switch_to+0x18b/0x217
kernel: [<ffffffff81419c0b>] __mutex_lock_common+0x11e/0x186
kernel: [<ffffffff81419c8c>] __mutex_lock_slowpath+0x19/0x1b
kernel: [<ffffffff81419da6>] mutex_lock+0x34/0x4e
kernel: [<ffffffffa0061cec>] i915_gem_retire_work_handler+0x2d/0x73 [i915]
kernel: [<ffffffffa0061cbf>] ? i915_gem_retire_work_handler+0x0/0x73 [i915]
kernel: [<ffffffff8106356c>] worker_thread+0x18a/0x224
kernel: [<ffffffff81067b03>] ? autoremove_wake_function+0x0/0x39
kernel: [<ffffffff810633e2>] ? worker_thread+0x0/0x224
kernel: [<ffffffff81067781>] kthread+0x91/0x99
kernel: [<ffffffff81012daa>] child_rip+0xa/0x20
kernel: [<ffffffff810676f0>] ? kthread+0x0/0x99
kernel: [<ffffffff81012da0>] ? child_rip+0x0/0x20

Anything else?
Comment 20 Amir R. 2009-12-03 17:13:15 EST
Exact same problem here. I've only faced it when I try to break the screensaver and log back in. My gnome screensaver is set on 'cosmos'.

The following appears several times in the /var/log/messages when it hangs:
=====================
Dec  3 13:38:34 cardon kernel: INFO: task i915/0:103 blocked for more than 120 seconds.
Dec  3 13:38:34 cardon kernel: "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
Dec  3 13:38:34 cardon kernel: i915/0        D f6565bd8     0   103      2 0x00000000
Dec  3 13:38:34 cardon kernel: f65b7f14 00000046 ffb3b911 f6565bd8 c09ef6ec c09f4120 f6565bd8 f65b7edc
Dec  3 13:38:34 cardon kernel: c09f4120 c09f4120 c09f4120 0028206f c04291ac 00000000 e6aff29d 000002a9
Dec  3 13:38:34 cardon kernel: c1f28120 f6565940 00000000 f65b7f18 c0430cae 00000000 f64d2414 f6565940
Dec  3 13:38:34 cardon kernel: Call Trace:
Dec  3 13:38:34 cardon kernel: [<c04291ac>] ? set_next_entity+0xa0/0x10c
Dec  3 13:38:34 cardon kernel: [<c0430cae>] ? finish_task_switch+0xa4/0xbf
Dec  3 13:38:34 cardon kernel: [<c07655e8>] __mutex_lock_common+0xde/0x12d
Dec  3 13:38:34 cardon kernel: [<c076564e>] __mutex_lock_slowpath+0x17/0x1a
Dec  3 13:38:34 cardon kernel: [<c0765737>] ? mutex_lock+0x2e/0x3c
Dec  3 13:38:34 cardon kernel: [<c0765737>] mutex_lock+0x2e/0x3c
Dec  3 13:38:34 cardon kernel: [<f7d7fdc1>] i915_gem_retire_work_handler+0x29/0x66 [i915]
Dec  3 13:38:34 cardon kernel: [<c0446230>] worker_thread+0x13c/0x1bc
Dec  3 13:38:34 cardon kernel: [<f7d7fd98>] ? i915_gem_retire_work_handler+0x0/0x66 [i915]
Dec  3 13:38:34 cardon kernel: [<c0449ba5>] ? autoremove_wake_function+0x0/0x34
Dec  3 13:38:34 cardon kernel: [<c04460f4>] ? worker_thread+0x0/0x1bc
Dec  3 13:38:34 cardon kernel: [<c04498fb>] kthread+0x70/0x75
Dec  3 13:38:34 cardon kernel: [<c044988b>] ? kthread+0x0/0x75
Dec  3 13:38:34 cardon kernel: [<c04041a7>] kernel_thread_helper+0x7/0x10
============================

And here is my VGA identification:

(--) PCI:*(0:0:2:0) 8086:2562:1028:0160 Intel Corporation 82845G/GL[Brookdale-G]/GE Chipset Integrated Graphics Device rev 1, Mem @ 0xe8000000/134217728, 0xfeb80000/524288, BIOS @ 0x????????/131072


I tried with and without KMS and the problem happens regardless.
Comment 21 Amir R. 2009-12-03 19:54:19 EST
I switched to the 'blank screen' screensaver and the problem has not happened since. Note that I have not experienced any problem by scrolling.
Comment 22 EMR_Fedora 2009-12-03 20:06:46 EST
I am trying the xorg-x11-server from updates-testing and seeing if there are any better results.
Comment 23 EMR_Fedora 2009-12-04 11:42:16 EST
Updates testing did not help. Xorg hung up again... this time I lost a vm and unsaved code. 

Again it happened when I was in Firefox and was scrolling through a drop down combobox.

Dec  4 11:08:43 pcsg788 kernel: INFO: task i915/0:96 blocked for more than 120 seconds.
Dec  4 11:08:43 pcsg788 kernel: "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
Dec  4 11:08:43 pcsg788 kernel: i915/0        D f6558298     0    96      2 0x00000000
Dec  4 11:08:43 pcsg788 kernel: f6555f14 00000046 ffb3b4c0 f6558298 c09ef6ec c09f4120 f6558298 f6555edc
Dec  4 11:08:43 pcsg788 kernel: c09f4120 c09f4120 c09f4120 054a9ef6 c04291ac 00000000 7dd74edb 00005103
Dec  4 11:08:43 pcsg788 kernel: c257f120 f6558000 00000000 f6555f18 c0430cae 00000000 f64f9c14 f6558000
Dec  4 11:08:43 pcsg788 kernel: Call Trace:
Dec  4 11:08:43 pcsg788 kernel: [<c04291ac>] ? set_next_entity+0xa0/0x10c
Dec  4 11:08:43 pcsg788 kernel: [<c0430cae>] ? finish_task_switch+0xa4/0xbf
Dec  4 11:08:43 pcsg788 kernel: [<c07655e8>] __mutex_lock_common+0xde/0x12d
Dec  4 11:08:43 pcsg788 kernel: [<c076564e>] __mutex_lock_slowpath+0x17/0x1a
Dec  4 11:08:43 pcsg788 kernel: [<c0765737>] ? mutex_lock+0x2e/0x3c
Dec  4 11:08:43 pcsg788 kernel: [<c0765737>] mutex_lock+0x2e/0x3c
Dec  4 11:08:43 pcsg788 kernel: [<f7dccdc1>] i915_gem_retire_work_handler+0x29/0x66 [i915]
Dec  4 11:08:43 pcsg788 kernel: [<c0446230>] worker_thread+0x13c/0x1bc
Dec  4 11:08:43 pcsg788 kernel: [<f7dccd98>] ? i915_gem_retire_work_handler+0x0/0x66 [i915]
Dec  4 11:08:43 pcsg788 kernel: [<c0449ba5>] ? autoremove_wake_function+0x0/0x34
Dec  4 11:08:43 pcsg788 kernel: [<c04460f4>] ? worker_thread+0x0/0x1bc
Dec  4 11:08:43 pcsg788 kernel: [<c04498fb>] kthread+0x70/0x75
Dec  4 11:08:43 pcsg788 kernel: [<c044988b>] ? kthread+0x0/0x75
Dec  4 11:08:43 pcsg788 kernel: [<c04041a7>] kernel_thread_helper+0x7/0x10
Comment 24 EMR_Fedora 2009-12-07 17:12:18 EST
Hung up again... 

Dec  7 16:50:04 pc788 kernel: INFO: task i915/0:98 blocked for more than 120 seconds.
Dec  7 16:50:04 pc788 kernel: "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
Dec  7 16:50:04 pc788 kernel: i915/0        D f654b598     0    98      2 0x00000000
Dec  7 16:50:04 pc788 kernel: f6587f14 00000046 fecef945 f654b598 c09ef6ec c09f4120 f654b598 f6587edc
Dec  7 16:50:04 pc788 kernel: c09f4120 c09f4120 c257e160 f6587ef4 f6587eec 00000000 f75c9d7e 0000fad4
Dec  7 16:50:04 pc788 kernel: c257e120 f654b300 00000000 f6587f18 c0430c73 00000000 f64f9c14 f654b300
Dec  7 16:50:04 pc788 kernel: Call Trace:
Dec  7 16:50:04 pc788 kernel: [<c0430c73>] ? finish_task_switch+0x53/0xbf
Dec  7 16:50:04 pc788 kernel: [<c07655f8>] __mutex_lock_common+0xde/0x12d
Dec  7 16:50:04 pc788 kernel: [<c076565e>] __mutex_lock_slowpath+0x17/0x1a
Dec  7 16:50:04 pc788 kernel: [<c0765747>] ? mutex_lock+0x2e/0x3c
Dec  7 16:50:04 pc788 kernel: [<c0765747>] mutex_lock+0x2e/0x3c
Dec  7 16:50:04 pc788 kernel: [<f7dccc35>] i915_gem_retire_work_handler+0x29/0x66 [i915]
Dec  7 16:50:04 pc788 kernel: [<c0446238>] worker_thread+0x13c/0x1bc
Dec  7 16:50:04 pc788 kernel: [<f7dccc0c>] ? i915_gem_retire_work_handler+0x0/0x66 [i915]
Dec  7 16:50:04 pc788 kernel: [<c0449be1>] ? autoremove_wake_function+0x0/0x34
Dec  7 16:50:04 pc788 kernel: [<c04460fc>] ? worker_thread+0x0/0x1bc
Dec  7 16:50:04 pc788 kernel: [<c0449937>] kthread+0x70/0x75
Dec  7 16:50:04 pc788 kernel: [<c04498c7>] ? kthread+0x0/0x75
Dec  7 16:50:04 pc788 kernel: [<c04041a7>] kernel_thread_helper+0x7/0x10
Dec  7 16:52:04 pc788 kernel: INFO: task i915/0:98 blocked for more than 120 seconds.
Dec  7 16:52:04 pc788 kernel: "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
Dec  7 16:52:04 pc788 kernel: i915/0        D f654b598     0    98      2 0x00000000
Dec  7 16:52:04 pc788 kernel: f6587f14 00000046 fecef945 f654b598 c09ef6ec c09f4120 f654b598 f6587edc
Dec  7 16:52:04 pc788 kernel: c09f4120 c09f4120 c257e160 f6587ef4 f6587eec 00000000 f75c9d7e 0000fad4
Dec  7 16:52:04 pc788 kernel: c257e120 f654b300 00000000 f6587f18 c0430c73 00000000 f64f9c14 f654b300
Dec  7 16:52:04 pc788 kernel: Call Trace:
Dec  7 16:52:04 pc788 kernel: [<c0430c73>] ? finish_task_switch+0x53/0xbf
Dec  7 16:52:04 pc788 kernel: [<c07655f8>] __mutex_lock_common+0xde/0x12d
Dec  7 16:52:04 pc788 kernel: [<c076565e>] __mutex_lock_slowpath+0x17/0x1a
Dec  7 16:52:04 pc788 kernel: [<c0765747>] ? mutex_lock+0x2e/0x3c
Dec  7 16:52:04 pc788 kernel: [<c0765747>] mutex_lock+0x2e/0x3c
Dec  7 16:52:04 pc788 kernel: [<f7dccc35>] i915_gem_retire_work_handler+0x29/0x66 [i915]
Dec  7 16:52:04 pc788 kernel: [<c0446238>] worker_thread+0x13c/0x1bc
Dec  7 16:52:04 pc788 kernel: [<f7dccc0c>] ? i915_gem_retire_work_handler+0x0/0x66 [i915]
Dec  7 16:52:04 pc788 kernel: [<c0449be1>] ? autoremove_wake_function+0x0/0x34
Dec  7 16:52:04 pc788 kernel: [<c04460fc>] ? worker_thread+0x0/0x1bc
Dec  7 16:52:04 pc788 kernel: [<c0449937>] kthread+0x70/0x75
Dec  7 16:52:04 pc788 kernel: [<c04498c7>] ? kthread+0x0/0x75
Dec  7 16:52:04 pc788 kernel: [<c04041a7>] kernel_thread_helper+0x7/0x10
Dec  7 16:54:04 pc788 kernel: INFO: task i915/0:98 blocked for more than 120 seconds.
Dec  7 16:54:04 pc788 kernel: "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
Dec  7 16:54:04 pc788 kernel: i915/0        D f654b598     0    98      2 0x00000000
Dec  7 16:54:04 pc788 kernel: f6587f14 00000046 fecef945 f654b598 c09ef6ec c09f4120 f654b598 f6587edc
Dec  7 16:54:04 pc788 kernel: c09f4120 c09f4120 c257e160 f6587ef4 f6587eec 00000000 f75c9d7e 0000fad4
Dec  7 16:54:04 pc788 kernel: c257e120 f654b300 00000000 f6587f18 c0430c73 00000000 f64f9c14 f654b300
Dec  7 16:54:04 pc788 kernel: Call Trace:
Dec  7 16:54:04 pc788 kernel: [<c0430c73>] ? finish_task_switch+0x53/0xbf
Dec  7 16:54:04 pc788 kernel: [<c07655f8>] __mutex_lock_common+0xde/0x12d
Dec  7 16:54:04 pc788 kernel: [<c076565e>] __mutex_lock_slowpath+0x17/0x1a
Dec  7 16:54:04 pc788 kernel: [<c0765747>] ? mutex_lock+0x2e/0x3c
Dec  7 16:54:04 pc788 kernel: [<c0765747>] mutex_lock+0x2e/0x3c
Dec  7 16:54:04 pc788 kernel: [<f7dccc35>] i915_gem_retire_work_handler+0x29/0x66 [i915]
Dec  7 16:54:04 pc788 kernel: [<c0446238>] worker_thread+0x13c/0x1bc
Dec  7 16:54:04 pc788 kernel: [<f7dccc0c>] ? i915_gem_retire_work_handler+0x0/0x66 [i915]
Dec  7 16:54:04 pc788 kernel: [<c0449be1>] ? autoremove_wake_function+0x0/0x34
Comment 25 EMR_Fedora 2009-12-08 08:36:24 EST
Please note that it hung up again at the login screen (after having to have to reboot because of another hang up.) The odd part this time was that I was on console (with NOMODESET in kernel args) and everything was fine. The moment I switched to the virtual terminal with xorg on it, my monitor just went to sleep, and I couldn't go back to a console virtual terminal.

Guys, I switched from KDE4 to Gnome last year (after using KDE since 1998) because 4.0 was unworkable. I can't keep dealing with these hang ups in xorg. If there is no new news, I will have to find another distro which is much more stable. Sorry, but I do have to get work done.
Comment 26 Richard Schwarting 2009-12-09 17:28:21 EST
My IBM Thinkpad x41t also freezes once or twice a day.  At first, X hangs, but the cursor still moves for a little while.  Then the cursor freezes too.  I can still log in remotely.  

Back with Fedora 11, I was able to type 'halt' and have the computer come down cleanly.  Now in Fedora 12, I type 'halt' and the SSH server goes down, but the computer never halts.  I get alarmed by the list of unreferenced inodes that are removed on my system's next boot and wonder whether this regular unclean shutdown is causing data loss.  

I wonder whether I should revert to Fedora 9, which was the last release that I cannot remember suffering from this.  (Fedora 11 got to a point where it happened very infrequently, maybe once a week.  F12 is a couple times a day.)  I presume switching distros won't help, since all the "good" ones probably use more or less the same X stack.

Checking /var/log/messages, I see these disturbing entries:

Dec 10 11:02:18 yojimbo kernel: INFO: task i915/0:108 blocked for more than 120 seconds.
Dec 10 11:02:18 yojimbo kernel: "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
Dec 10 11:02:18 yojimbo kernel: i915/0        D f6a1b598     0   108      2 0x00000000
Dec 10 11:02:18 yojimbo kernel: f6ac1f14 00000046 ffb3bb71 f6a1b598 c0a113ac c0a15e40 f6a1b598 f6ac1edc
Dec 10 11:02:18 yojimbo kernel: c0a15e40 c0a15e40 c21b4e80 f6ac1ef4 c042ff3c 00000000 3261f00d 00000939
Dec 10 11:02:18 yojimbo kernel: c21b4e40 f6a1b300 00000000 f6ac1f18 c0437a3e 00000000 f6964c14 f6a1b300
Dec 10 11:02:18 yojimbo kernel: Call Trace:
Dec 10 11:02:18 yojimbo kernel: [<c042ff3c>] ? set_next_entity+0xa0/0x10c
Dec 10 11:02:18 yojimbo kernel: [<c0437a3e>] ? finish_task_switch+0xa4/0xbf
Dec 10 11:02:18 yojimbo kernel: [<c0777e88>] __mutex_lock_common+0xde/0x12d
Dec 10 11:02:18 yojimbo kernel: [<c0777eee>] __mutex_lock_slowpath+0x17/0x1a
Dec 10 11:02:18 yojimbo kernel: [<c0777fd7>] ? mutex_lock+0x2e/0x3c
Dec 10 11:02:18 yojimbo kernel: [<c0777fd7>] mutex_lock+0x2e/0x3c
Dec 10 11:02:18 yojimbo kernel: [<f7ff8e2c>] i915_gem_retire_work_handler+0x29/0x66 [i915]
Dec 10 11:02:18 yojimbo kernel: [<c044d3c0>] worker_thread+0x13c/0x1bc
Dec 10 11:02:18 yojimbo kernel: [<f7ff8e03>] ? i915_gem_retire_work_handler+0x0/0x66 [i915]
Dec 10 11:02:18 yojimbo kernel: [<c0450d39>] ? autoremove_wake_function+0x0/0x34
Dec 10 11:02:18 yojimbo kernel: [<c044d284>] ? worker_thread+0x0/0x1bc
Dec 10 11:02:18 yojimbo kernel: [<c0450a8f>] kthread+0x70/0x75
Dec 10 11:02:18 yojimbo kernel: [<c0450a1f>] ? kthread+0x0/0x75
Dec 10 11:02:18 yojimbo kernel: [<c0409be7>] kernel_thread_helper+0x7/0x10
Dec 10 11:02:18 yojimbo kernel: INFO: task Xorg:1387 blocked for more than 120 seconds.
Dec 10 11:02:18 yojimbo kernel: "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
Dec 10 11:02:18 yojimbo kernel: Xorg          D f2079c18     0  1387   1386 0x00400004
Dec 10 11:02:18 yojimbo kernel: f2ddfde0 00003082 00000000 f2079c18 c0a113ac c0a15e40 f2079c18 000f85a4
Dec 10 11:02:18 yojimbo kernel: c0a15e40 c0a15e40 c0a15e40 00962a70 00000001 00000000 f6da3d61 00000938
Dec 10 11:02:18 yojimbo kernel: c21b4e40 f2079980 c21b4e40 c0784bd4 c21b4e40 00000001 f6964c14 f2079980
Dec 10 11:02:18 yojimbo kernel: Call Trace:
Dec 10 11:02:18 yojimbo kernel: [<c0777e88>] __mutex_lock_common+0xde/0x12d
Dec 10 11:02:18 yojimbo kernel: [<c0777eee>] __mutex_lock_slowpath+0x17/0x1a
Dec 10 11:02:18 yojimbo kernel: [<c0777fd7>] ? mutex_lock+0x2e/0x3c
Dec 10 11:02:18 yojimbo kernel: [<c0777fd7>] mutex_lock+0x2e/0x3c
Dec 10 11:02:18 yojimbo kernel: [<f7ff988a>] i915_gem_set_domain_ioctl+0x89/0x10e [i915]
Dec 10 11:02:18 yojimbo kernel: [<f7f85a45>] drm_ioctl+0x205/0x2a8 [drm]
Dec 10 11:02:18 yojimbo kernel: [<f7ff9801>] ? i915_gem_set_domain_ioctl+0x0/0x10e [i915]
Dec 10 11:02:18 yojimbo kernel: [<c056cf59>] ? inode_has_perm+0x69/0x84
Dec 10 11:02:18 yojimbo kernel: [<c04d349a>] vfs_ioctl+0x5c/0x76
Dec 10 11:02:18 yojimbo kernel: [<c04d39fa>] do_vfs_ioctl+0x498/0x4d6
Dec 10 11:02:18 yojimbo kernel: [<c056d2a1>] ? selinux_file_ioctl+0x43/0x46
Dec 10 11:02:18 yojimbo kernel: [<c04d3a7e>] sys_ioctl+0x46/0x66
Dec 10 11:02:18 yojimbo kernel: [<c0408f9b>] sysenter_do_call+0x12/0x28


In Xorg.0.log, I find this:

[mi] EQ overflowing. The server is probably stuck in an infinite loop.

Backtrace:
0: /usr/bin/Xorg (xorg_backtrace+0x3c) [0x80e587c]
1: /usr/bin/Xorg (mieqEnqueue+0x1b7) [0x80e51a7]
2: /usr/bin/Xorg (xf86PostMotionEventP+0xd4) [0x80bf8a4]
3: /usr/lib/xorg/modules/input/evdev_drv.so (0xa5f000+0x4602) [0xa63602]
4: /usr/lib/xorg/modules/input/evdev_drv.so (0xa5f000+0x48f6) [0xa638f6]
5: /usr/bin/Xorg (0x8047000+0x6b1f0) [0x80b21f0]
6: /usr/bin/Xorg (0x8047000+0x11ed24) [0x8165d24]
7: (vdso) (__kernel_sigreturn+0x0) [0x9ed400]
8: (vdso) (__kernel_vsyscall+0x10) [0x9ed424]
9: /lib/libc.so.6 (ioctl+0x19) [0x2e9e39]
10: /usr/lib/libdrm_intel.so.1 (drm_intel_gem_bo_map_gtt+0x7a) [0xa9d2da]
11: /usr/lib/xorg/modules/drivers/intel_drv.so (0x681000+0x3e6ad) [0x6bf6ad]
12: /usr/lib/xorg/modules/drivers/intel_drv.so (0x681000+0x53de5) [0x6d4de5]
13: /usr/lib/xorg/modules/drivers/intel_drv.so (0x681000+0x55efb) [0x6d6efb]
14: /usr/bin/Xorg (miCopyRegion+0x213) [0x8196a93]
15: /usr/bin/Xorg (miDoCopy+0x44d) [0x8196fbd]
16: /usr/lib/xorg/modules/drivers/intel_drv.so (0x681000+0x55b49) [0x6d6b49]
17: /usr/lib/xorg/modules/drivers/intel_drv.so (0x681000+0x56ca3) [0x6d7ca3]
18: /usr/lib/xorg/modules/drivers/intel_drv.so (0x681000+0x57259) [0x6d8259]
19: /usr/bin/Xorg (0x8047000+0xd4cd5) [0x811bcd5]
20: /usr/bin/Xorg (CompositeGlyphs+0xa7) [0x81b3bb7]
21: /usr/bin/Xorg (0x8047000+0xcf10f) [0x811610f]
22: /usr/bin/Xorg (0x8047000+0xcacb4) [0x8111cb4]
23: /usr/bin/Xorg (0x8047000+0x271f7) [0x806e1f7]
24: /usr/bin/Xorg (0x8047000+0x1b8c5) [0x80628c5]
25: /lib/libc.so.6 (__libc_start_main+0xe6) [0x22ebb6]
26: /usr/bin/Xorg (0x8047000+0x1b4b1) [0x80624b1]


Please, give me something to try.  
Disable mode setting?   (apparently didn't work for people above)
Use vesa?  
Install specific debuginfos?  
Log in remotely during the next time and try to attach gdb to X (that freezes the system itself half the time).  
Try a driver from git head?  
Compile Xorg with extra debug symbols?  

I'm not sure what the right thing to do would be, and what would be a waste of time.  Even slight guidance, and I'll do what I can.  I just can't compute like this.
Comment 27 Richard Schwarting 2009-12-09 17:30:27 EST
Er, perhaps this was the wrong bug, as I have a 
00:02.0 VGA compatible controller: Intel Corporation Mobile 915GM/GMS/910GML Express Graphics Controller (rev 03)
Comment 28 Richard Schwarting 2009-12-09 17:31:46 EST
Is this a duplicate of bug 464866 ?
Comment 29 Orion Poplawski 2009-12-14 17:19:19 EST
Similar/same seen here on 855GM starting openoffice.  Let me know what info would be useful.  Need an upstream bug?
Comment 30 Szabo Akos 2009-12-26 17:18:27 EST
I have a very similar problem:

When I log in gdm, after some seconds, the display, keyboard, mouse buttons freeze, but mouse pointer working right. I can ssh to my notebook, and I can power off, with power button.
Usually I don't have any error message in xorg log, or dmesg, but sometimes I get this:

Backtrace:
0: /usr/bin/Xorg (xorg_backtrace+0x3c) [0x80e58cc]
1: /usr/bin/Xorg (0x8047000+0x5fb76) [0x80a6b76]
2: (vdso) (__kernel_rt_sigreturn+0x0) [0xcc340c]
3: /usr/lib/libpixman-1.so.0 (0x533000+0x38b0) [0x5368b0]
4: /usr/lib/libpixman-1.so.0 (0x533000+0x3eac5) [0x571ac5]
5: /usr/lib/libpixman-1.so.0 (0x533000+0x13bba) [0x546bba]
6: /usr/lib/libpixman-1.so.0 (0x533000+0x39110) [0x56c110]
7: /usr/lib/libpixman-1.so.0 (0x533000+0x40e1a) [0x573e1a]
8: /usr/lib/libpixman-1.so.0 (0x533000+0x4203b) [0x57503b]
9: /usr/lib/libpixman-1.so.0 (0x533000+0x38db4) [0x56bdb4]
10: /usr/lib/libpixman-1.so.0 (0x533000+0x14734) [0x547734]
11: /usr/lib/libpixman-1.so.0 (0x533000+0x3ad6f) [0x56dd6f]
12: /usr/lib/libpixman-1.so.0 (0x533000+0x14734) [0x547734]
13: /usr/lib/libpixman-1.so.0 (0x533000+0x46194) [0x579194]
14: /usr/lib/libpixman-1.so.0 (0x533000+0x14734) [0x547734]
15: /usr/lib/libpixman-1.so.0 (0x533000+0x4c96a) [0x57f96a]
16: /usr/lib/libpixman-1.so.0 (0x533000+0x14734) [0x547734]
17: /usr/lib/libpixman-1.so.0 (pixman_image_composite+0x177) [0x56cc07]
18: /usr/lib/xorg/modules/libfb.so (fbComposite+0x170) [0x1eda20]
19: /usr/bin/Xorg (0x8047000+0xd4af7) [0x811baf7]
20: /usr/bin/Xorg (CompositePicture+0x290) [0x810efe0]
21: /usr/bin/Xorg (0x8047000+0x1698dd) [0x81b08dd]
22: /usr/bin/Xorg (0x8047000+0x169bf9) [0x81b0bf9]
23: /usr/bin/Xorg (0x8047000+0xa27d8) [0x80e97d8]
24: /usr/bin/Xorg (0x8047000+0xa28d1) [0x80e98d1]
25: /usr/bin/Xorg (0x8047000+0x4c6a3) [0x80936a3]
26: /usr/bin/Xorg (MapWindow+0x15e) [0x809792e]
27: /usr/bin/Xorg (0x8047000+0x268c9) [0x806d8c9]
28: /usr/bin/Xorg (0x8047000+0x27227) [0x806e227]
29: /usr/bin/Xorg (0x8047000+0x1b8e5) [0x80628e5]
30: /lib/libc.so.6 (__libc_start_main+0xe6) [0xa54bb6]
31: /usr/bin/Xorg (0x8047000+0x1b4d1) [0x80624d1]
Segmentation fault at address 0xe24

Fatal server error:
Caught signal 11 (Segmentation fault). Server aborting

Or, an other case:

[mi] EQ overflowing. The server is probably stuck in an infinite loop.

Backtrace:
0: /usr/bin/X (xorg_backtrace+0x3c) [0x80e58cc]
1: /usr/bin/X (mieqEnqueue+0x1b7) [0x80e51f7]
2: /usr/bin/X (xf86PostMotionEventP+0xd4) [0x80bf8b4]
3: /usr/bin/X (xf86PostMotionEvent+0x68) [0x80bfa48]
4: /usr/lib/xorg/modules/input/synaptics_drv.so (0x2a9000+0x337b) [0x2ac37b]
5: /usr/lib/xorg/modules/input/synaptics_drv.so (0x2a9000+0x58f0) [0x2ae8f0]
6: /usr/bin/X (0x8048000+0x6a200) [0x80b2200]
7: /usr/bin/X (0x8048000+0x11de04) [0x8165e04]
8: (vdso) (__kernel_sigreturn+0x0) [0x377400]
9: (vdso) (__kernel_vsyscall+0x2) [0x377416]
10: /lib/libc.so.6 (ioctl+0x19) [0xb0fe39]
11: /usr/lib/libdrm_intel.so.1 (drm_intel_gem_bo_map_gtt+0x7a) [0x40b2da]
12: /usr/lib/xorg/modules/drivers/intel_drv.so (0x378000+0x3e6ad) [0x3b66ad]
13: /usr/lib/xorg/modules/drivers/intel_drv.so (0x378000+0x53de5) [0x3cbde5]
14: /usr/lib/xorg/modules/drivers/intel_drv.so (0x378000+0x54b8e) [0x3ccb8e]
15: /usr/bin/X (0x8048000+0xd5de1) [0x811dde1]
16: /usr/bin/X (0x8048000+0x23a15) [0x806ba15]
17: /usr/bin/X (0x8048000+0x26227) [0x806e227]
18: /usr/bin/X (0x8048000+0x1a8e5) [0x80628e5]
19: /lib/libc.so.6 (__libc_start_main+0xe6) [0xa54bb6]
20: /usr/bin/X (0x8048000+0x1a4d1) [0x80624d1]

From dmesg:
udev: starting version 145
input: Video Bus as /devices/LNXSYSTM:00/device:00/PNP0A03:00/device:08/input/input6
ACPI: Video Device [VGA] (multi-head: yes  rom: no  post: no)
[drm] Initialized drm 1.1.0 20060810
i915 0000:00:02.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
i915 0000:00:02.0: setting latency timer to 64
[drm] DAC-6: set mode 640x480 0
fbcon: inteldrmfb (fb0) is primary device
render error detected, EIR: 0x00000010
[drm:i915_handle_error] *ERROR* EIR stuck: 0x00000010, masking
render error detected, EIR: 0x00000010
[drm] LVDS-8: set mode 1024x768 d
Console: switching to colour frame buffer device 128x48
fb0: inteldrmfb frame buffer device
registered panic notifier
[drm] Initialized i915 1.6.0 20080730 for 0000:00:02.0 on minor 0
dracut: Starting plymouth daemon
[drm] DAC-6: set mode 640x480 0

[drm:drm_mode_rmfb] *ERROR* tried to remove a fb that we didn't own


And some info:
I use selinux, with enforcing, my fedora installation was upgraded from fedora10, and he fedora 12 live CD doesn't boot too.
 
My notebook is an ASUS A3L.
lspci:
00:00.0 Host bridge: Intel Corporation 82852/82855 GM/GME/PM/GMV Processor to I/O Controller (rev 02)
00:00.1 System peripheral: Intel Corporation 82852/82855 GM/GME/PM/GMV Processor to I/O Controller (rev 02)
00:00.3 System peripheral: Intel Corporation 82852/82855 GM/GME/PM/GMV Processor to I/O Controller (rev 02)
00:02.0 VGA compatible controller: Intel Corporation 82852/855GM Integrated Graphics Device (rev 02)
00:02.1 Display controller: Intel Corporation 82852/855GM Integrated Graphics Device (rev 02)
00:1d.0 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #3 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801DB/DBM (ICH4/ICH4-M) USB2 EHCI Controller (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev 83)
00:1f.0 ISA bridge: Intel Corporation 82801DBM (ICH4-M) LPC Interface Bridge (rev 03)
00:1f.1 IDE interface: Intel Corporation 82801DBM (ICH4-M) IDE Controller (rev 03)
00:1f.3 SMBus: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) SMBus Controller (rev 03)
00:1f.5 Multimedia audio controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97 Audio Controller (rev 03)
00:1f.6 Modem: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97 Modem Controller (rev 03)
01:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8139/8139C/8139C+ (rev 10)
01:04.0 Network controller: Intel Corporation PRO/Wireless 2200BG [Calexico2] Network Connection (rev 05)
01:05.0 CardBus bridge: Ricoh Co Ltd RL5c476 II (rev ac)
01:05.1 CardBus bridge: Ricoh Co Ltd RL5c476 II (rev ac)
01:05.2 FireWire (IEEE 1394): Ricoh Co Ltd R5C552 IEEE 1394 Controller (rev 04)



I hope, my report is helpfull, if anybody need any further info, or debugging, just drop a note!
Comment 31 Amir R. 2010-01-11 22:04:24 EST
I am still having this problem on 845. In my case, it happens almost every time the power management turns off the screen due to inactivity. When KMS is used, it results in a hard hang with a non-responsive kernel (no ping) however when KMS is disabled, it is possible to ssh and reboot.

It is unfortunate to see not even a workaround is suggested with this bug although it is a severe one.
Comment 32 Szabo Akos 2010-01-12 04:54:08 EST
(In reply to comment #31)
> I am still having this problem on 845. In my case, it happens almost every time
> the power management turns off the screen due to inactivity. When KMS is used,
> it results in a hard hang with a non-responsive kernel (no ping) however when
> KMS is disabled, it is possible to ssh and reboot.
> 
> It is unfortunate to see not even a workaround is suggested with this bug
> although it is a severe one.    

For workaround, don't use intel drv, substitue, use fbdrv, or vesa :( Or turn off power management.
Comment 33 Szabo Akos 2010-02-07 08:00:00 EST
I give a try to the latest rawhide livecd /20100131, build myself for livecd test day/, and the intel drv is come back again!
So about waiting for a half year, and I can see movie again, in full screen, with synchronized sound :) 2010 will be the year of linux desktop :D

The snapshot is contains:
xorg-x11-drv-intel-2.10.0-2.fc13.i686.rpm
xorg-x11-server-Xorg-1.7.99.3-1.20100120.fc13.i686.rpm
kernel-2.6.33-0.25.rc6.git0.fc13.i686.rpm
Comment 34 Glen Eustace 2010-03-04 19:57:06 EST
This error has now started to happen to me.  I am running F12 with latest packages as supplied by yum.  The platform is a toshiba laptop.  I consider this a serious issue as I too have been losing work as a result of completely random X crashes.
Comment 35 Kurt Keller 2010-03-07 16:42:40 EST
Since I last updated to the latest patches (on F12), I encounter this issue rather frequently. Before the system was stable.
- X freezes at random, only the mouse can be moved, nothing else works on X.
- Keyboard is dead, no switching to a TTY.
- Remote login via SSH is possible.
- Init 3 does not kill the X server. init 3 plus killing the X server and all user processes manually, followed by an init 5 displays part of the previous X screen (video buffer seems to contain much of the previous data), but does not show a login screen.

The only remedy sofar has been to reboot the system. Upon request, I could upload an sosreport taken when the problem occurred. If there are any other commands to issue when the problem happens that would help find the cause for, let me know; I have these freezes rather often but do have a second system around to ssh into the hung machine.

Going to upload a list of packages which were updated. Before these updates, this did not happen. Filename: rpm-last-kurt.txt
Comment 36 Kurt Keller 2010-03-07 16:43:53 EST
Created attachment 398381 [details]
list of updates applied after which the problem started to occur
Comment 37 Matěj Cepl 2010-03-11 18:11:54 EST
Does everybody who sees this bug have "nomodeset" in the kernel command line? What happens if you don't have it there?
Comment 38 Orion Poplawski 2010-03-11 18:16:15 EST
I don't have nomodeset.  Backing off to kernel 2.6.31.12-174.2.22.fc12.i686 from 2.6.32.9-67.fc12.i686 seems to take care of it here.
Comment 39 Kurt Keller 2010-03-15 16:50:43 EDT
No nomodeset in the kernel line here.

Happens at least with kernels 
- 2.6.31.12-174.2.22.fc12.x86_64
- 2.6.31.9-174.fc12.x86_64
- 2.6.31.6-166.fc12.x86_64

Seems only to happen when when some kind of graphic is involved (firefox, especially on pages with flash / gimp).

I'm trying to do something with a photo in gimp and the machine keeps crashing on me. In /var/log/messages, I found some entries which look interesting (but I'm unable to interpret) and maybe give some hint to somebody who knows this stuff. I'm aware that the subject of this bugzilla is tied to an INTEL video card and I do have an ATI video card, but I have the exactly same behaviour, which makes me believe it is not related to one specific video card.

[cut]
Mar 15 20:02:37 localhost kernel: [drm:radeon_ib_get] *ERROR* radeon: IB(0:0x0000000010101000:0)
Mar 15 20:02:37 localhost kernel: [drm:radeon_ib_get] *ERROR* radeon: GPU lockup detected, fail to get a IB
Mar 15 20:02:37 localhost kernel: [drm:radeon_cs_ioctl] *ERROR* Failed to get ib !
Mar 15 20:02:37 localhost kernel: [drm:radeon_ib_get] *ERROR* radeon: IB(0:0x0000000010101000:0)
Mar 15 20:02:37 localhost kernel: [drm:radeon_ib_get] *ERROR* radeon: GPU lockup detected, fail to get a IB
Mar 15 20:02:37 localhost kernel: [drm:radeon_cs_ioctl] *ERROR* Failed to get ib !
Mar 15 20:02:37 localhost kernel: [drm:radeon_ib_get] *ERROR* radeon: IB(0:0x0000000010101000:0)
Mar 15 20:02:37 localhost kernel: [drm:radeon_ib_get] *ERROR* radeon: GPU lockup detected, fail to get a IB
Mar 15 20:02:37 localhost kernel: [drm:radeon_cs_ioctl] *ERROR* Failed to get ib !
Mar 15 20:02:37 localhost kernel: [drm:radeon_ib_get] *ERROR* radeon: IB(0:0x0000000010101000:0)
Mar 15 20:02:37 localhost kernel: [drm:radeon_ib_get] *ERROR* radeon: GPU lockup detected, fail to get a IB
Mar 15 20:02:37 localhost kernel: [drm:radeon_cs_ioctl] *ERROR* Failed to get ib !
Mar 15 20:02:37 localhost kernel: [drm:radeon_ib_get] *ERROR* radeon: IB(0:0x0000000010101000:0)
Mar 15 20:02:37 localhost kernel: [drm:radeon_ib_get] *ERROR* radeon: GPU lockup detected, fail to get a IB
Mar 15 20:02:37 localhost kernel: [drm:radeon_cs_ioctl] *ERROR* Failed to get ib !
[cut all in all this continues for 432 lines]

[cut (rebooted) ]

Mar 15 20:12:36 localhost kernel: [drm:radeon_ib_get] *ERROR* radeon: IB(2:0x0000000010121000:0)
Mar 15 20:12:36 localhost kernel: [drm:radeon_ib_get] *ERROR* radeon: GPU lockup detected, fail to get a IB
Mar 15 20:12:36 localhost kernel: [drm:r600_vb_ib_get] *ERROR* failed to get IB for vertex buffer
Mar 15 20:12:36 localhost kernel: ------------[ cut here ]------------
Mar 15 20:12:36 localhost kernel: WARNING: at drivers/gpu/drm/radeon/r600_blit_kms.c:550 r600_blit_prepare_copy+0x36/0x3e4 [radeon]() (Not tainted)
Mar 15 20:12:36 localhost kernel: Hardware name: TravelMate 5520
Mar 15 20:12:36 localhost kernel: Modules linked in: fuse ipt_MASQUERADE iptable_nat nf_nat rfcomm sco bridge stp llc bnep l2cap sunrpc cpufreq_ondemand powernow_k8 freq_table xt_physdev ip6t_REJECT nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 dm_multipath kvm_amd kvm uinput btusb bluetooth snd_hda_codec_realtek snd_hda_intel arc4 ecb snd_hda_codec b43 Mar 15 20:14:03 localhost kernel: imklog 4.4.2, log source = /proc/kmsg started.

[ (rebooted) ]

[start some messages about the video hardware]
Mar 15 20:14:03 localhost kernel: [drm] Initialized drm 1.1.0 20060810
Mar 15 20:14:03 localhost kernel: [drm] radeon defaulting to kernel modesetting.
Mar 15 20:14:03 localhost kernel: [drm] radeon kernel modesetting enabled.
Mar 15 20:14:03 localhost kernel: radeon 0000:01:00.0: PCI INT A -> GSI 18 (level, low) -> IRQ 18
Mar 15 20:14:03 localhost kernel: [drm] radeon: Initializing kernel modesetting.
Mar 15 20:14:03 localhost kernel: [drm] register mmio base: 0xF0200000
Mar 15 20:14:03 localhost kernel: [drm] register mmio size: 65536
Mar 15 20:14:03 localhost kernel: ATOM BIOS: Wistron/Acer
Mar 15 20:14:03 localhost kernel: [drm] Clocks initialized !
Mar 15 20:14:03 localhost kernel: [drm] Detected VRAM RAM=256M, BAR=256M
Mar 15 20:14:03 localhost kernel: [drm] RAM width 64bits DDR
Mar 15 20:14:03 localhost kernel: [TTM] Zone  kernel: Available graphics memory: 2029122 kiB.
Mar 15 20:14:03 localhost kernel: [drm] radeon: 256M of VRAM memory ready
Mar 15 20:14:03 localhost kernel: [drm] radeon: 512M of GTT memory ready.
Mar 15 20:14:03 localhost kernel: [drm] Loading RV610 CP Microcode
Mar 15 20:14:03 localhost kernel: platform radeon_cp.0: firmware: requesting radeon/RV610_pfp.bin
Mar 15 20:14:03 localhost kernel: usb 2-2: new low speed USB device using ohci_hcd and address 2
Mar 15 20:14:03 localhost kernel: platform radeon_cp.0: firmware: requesting radeon/RV610_me.bin
Mar 15 20:14:03 localhost kernel: [drm] GART: num cpu pages 131072, num gpu pages 131072
Mar 15 20:14:03 localhost kernel: [drm] ring test succeeded in 0 usecs
Mar 15 20:14:03 localhost kernel: [drm] radeon: ib pool ready.
Mar 15 20:14:03 localhost kernel: [drm] ib test succeeded in 0 usecs
Mar 15 20:14:03 localhost kernel: [drm] Radeon Display Connectors
Mar 15 20:14:03 localhost kernel: [drm] Connector 0:
Mar 15 20:14:03 localhost kernel: [drm]   LVDS
Mar 15 20:14:03 localhost kernel: [drm]   DDC: 0xac0 0xac0 0xac4 0xac4 0xac8 0xac8 0xacc 0xacc
Mar 15 20:14:03 localhost kernel: [drm]   Encoders:
Mar 15 20:14:03 localhost kernel: [drm]     LCD1: INTERNAL_LVTM1
Mar 15 20:14:03 localhost kernel: [drm] Connector 1:
Mar 15 20:14:03 localhost kernel: [drm]   DIN
Mar 15 20:14:03 localhost kernel: [drm]   Encoders:
Mar 15 20:14:03 localhost kernel: [drm]     TV1: INTERNAL_KLDSCP_DAC2
Mar 15 20:14:03 localhost kernel: [drm] Connector 2:
Mar 15 20:14:03 localhost kernel: [drm]   VGA
Mar 15 20:14:03 localhost kernel: [drm]   DDC: 0x7e40 0x7e40 0x7e44 0x7e44 0x7e48 0x7e48 0x7e4c 0x7e4c
Mar 15 20:14:03 localhost kernel: [drm]   Encoders:
Mar 15 20:14:03 localhost kernel: [drm]     CRT1: INTERNAL_KLDSCP_DAC1
Mar 15 20:14:03 localhost kernel: [drm] Connector 3:
Mar 15 20:14:03 localhost kernel: [drm]   DVI-I
Mar 15 20:14:03 localhost kernel: [drm]   DDC: 0x7e50 0x7e50 0x7e54 0x7e54 0x7e58 0x7e58 0x7e5c 0x7e5c
Mar 15 20:14:03 localhost kernel: [drm]   Encoders:
Mar 15 20:14:03 localhost kernel: [drm]     DFP1: INTERNAL_KLDSCP_TMDS1
Mar 15 20:14:03 localhost kernel: Synaptics Touchpad, model: 1, fw: 6.3, id: 0x12a0b1, caps: 0xa04713/0x204000
Mar 15 20:14:03 localhost kernel: input: SynPS/2 Synaptics TouchPad as /devices/platform/i8042/serio2/input/input8
Mar 15 20:14:03 localhost kernel: usb 2-2: New USB device found, idVendor=046d, idProduct=c001
Mar 15 20:14:03 localhost kernel: usb 2-2: New USB device strings: Mfr=1, Product=2, SerialNumber=0
Mar 15 20:14:03 localhost kernel: usb 2-2: Product: USB Mouse
Mar 15 20:14:03 localhost kernel: usb 2-2: Manufacturer: Logitech
Mar 15 20:14:03 localhost kernel: usb 2-2: configuration #1 chosen from 1 choice
Mar 15 20:14:03 localhost kernel: input: Logitech USB Mouse as /devices/pci0000:00/0000:00:13.0/usb2/2-2/2-2:1.0/input/input9
Mar 15 20:14:03 localhost kernel: generic-usb 0003:046D:C001.0003: input,hidraw2: USB HID v1.10 Mouse [Logitech USB Mouse] on usb-0000:00:13.0-2/input0
Mar 15 20:14:03 localhost kernel: [drm] fb mappable at 0xD0141000
Mar 15 20:14:03 localhost kernel: [drm] vram apper at 0xD0000000
Mar 15 20:14:03 localhost kernel: [drm] size 5242880
Mar 15 20:14:03 localhost kernel: [drm] fb depth is 24
Mar 15 20:14:03 localhost kernel: [drm]    pitch is 5120
Mar 15 20:14:03 localhost kernel: executing set pll
Mar 15 20:14:03 localhost kernel: executing set crtc timing
Mar 15 20:14:03 localhost kernel: [drm] LVDS-9: set mode 1280x800 2a
Mar 15 20:14:03 localhost kernel: executing set pll
Mar 15 20:14:03 localhost kernel: executing set crtc timing
Mar 15 20:14:03 localhost kernel: [drm] TMDS-15: set mode 1280x1024 2e
Mar 15 20:14:03 localhost kernel: Console: switching to colour frame buffer device 160x50
Mar 15 20:14:03 localhost kernel: fb0: radeondrmfb frame buffer device
Mar 15 20:14:03 localhost kernel: registered panic notifier
Mar 15 20:14:03 localhost kernel: [drm] Initialized radeon 2.0.0 20080528 for 0000:01:00.0 on minor 0
Mar 15 20:14:03 localhost kernel: dracut: Starting plymouth daemon
Mar 15 20:14:03 localhost kernel: acpi device:04: registered as cooling_device2
Mar 15 20:14:03 localhost kernel: input: Video Bus as /devices/LNXSYSTM:00/device:00/PNP0A08:00/device:01/device:02/input/input10
Mar 15 20:14:03 localhost kernel: ACPI: Video Device [VGA] (multi-head: yes  rom: no  post: no)
Mar 15 20:14:03 localhost kernel: pata_atiixp 0000:00:14.1: PCI INT A -> GSI 16 (level, low) -> IRQ 16
[end some messages about the video hardware]

[cut]

Mar 15 20:19:12 localhost kernel: [drm:radeon_ib_get] *ERROR* radeon: IB(6:0x0000000010161000:0)
Mar 15 20:19:12 localhost kernel: [drm:radeon_ib_get] *ERROR* radeon: GPU lockup detected, fail to get a IB
Mar 15 20:19:12 localhost kernel: [drm:r600_vb_ib_get] *ERROR* failed to get IB for vertex buffer
Mar 15 20:19:12 localhost kernel: ------------[ cut here ]------------
Mar 15 20:19:12 localhost kernel: WARNING: at drivers/gpu/drm/radeon/r600_blit_kms.c:550 r600_blit_prepare_copy+0x36/0x3e4 [radeon]() (Not tainted)
Mar 15 20:19:12 localhost kernel: Hardware name: TravelMate 5520
Mar 15 20:19:12 localhost kernel: Modules linked in: fuse ipt_MASQUERADE iptable_nat nf_nat rfcomm sco bridge stp llc bnep l2cap sunrpc cpufreq_ondemand powernow_k8 freq_table xt_physdev ip6t_REJECT nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 dm_multipath kvm_amd kvm uinput btusb bluetooth snd_hda_codec_realtek snd_hda_intel snd_hda_codec arc4 ecb snd_hwdep snd_seq uvcvideo b43 snd_seq_device mac80211 videodev amd64_edac_mod sdhci_pci snd_pcm sdhci firewire_ohci cfg80211 snd_timer v4l1_compat edMar 15 20:20:00 localhost kernel: imklog 4.4.2, log source = /proc/kmsg started.
Comment 40 Joachim Katzer 2010-03-15 17:43:19 EDT
Same or similar problem on MacBook 2,1 with Intel 945GM graphics which hangs up sporadically, most often after screensaver is started or after a user switch.

F12 (GNOME desktop) with latest updates (2010-03-14): 

xorg-x11-drv-intel-2.9.1-1.fc12.i686
xorg-x11-server-Xorg-1.7.5.901-4.fc12.i686
kernel-2.6.32.9-70.fc12.i686

Blue or black screen (backlight on), no reaction on keyboard or mouse input, even no reaction on power-off button. Login via ssh still possible, no suspicious or unusual messages in /var/log/messages, dmesg or /var/log/Xorg.0.log.

Last dmesg:
ACPI: EC: GPE storm detected, transactions will use polling mode
Comment 41 Orion Poplawski 2010-03-15 17:57:34 EDT
No problem for me so far as well with kernel-2.6.33-1.fc13.i686
Comment 42 port.omega 2010-03-15 22:33:19 EDT
@ Matej Cepl 
I see this crash with and without nomodeset.  Also with and without 
Option "AccelMethod" "EXA"
or
Option "AccelMethod" "XAA"
or
Option  "Tiling" "False"

I also have the screen saver and power management disabled.  It seemed to crash pretty reliably when power management for the screen kicked in.

I've been running F12 for several months and do yum update every few days.

Around the time of the latest kernel update (vmlinuz-2.6.32.9-70.fc12.i686), crash changed behavior slightly.  Now it drops to a black screen

Xorg log contents
(II) intel(0): Attempting memory allocation with untiled buffers.
(II) intel(0): Untiled allocation successful.
(II) UXA(0): Driver registered support for the following operations:
(II)         solid
(II)         copy
(II)         composite (RENDER acceleration)
(==) intel(0): Backing store disabled
(==) intel(0): Silken mouse enabled
(II) intel(0): Initializing HW Cursor
(II) intel(0): No memory allocations

Fatal server error:
Failed to submit batchbuffer: Input/output error

This is with tiling = false.  I'm switching back to tiling enabled.  Will report back, if by some chance that fixes it in combo with current packages.  Be glad to provide more info if asked.
Comment 43 Odin Nøsen 2010-04-23 04:06:44 EDT
I have been able to recreate this bug systematically.

1) Boot the machine with "nomodeset" set in the kernel.
2) After the boot screen appears, change to VT2 (CTRL+ALT+F2). This should work.
3) Change back to VT7 (CTRL+ALT+F7) - the graphical login screen.

This freezes the machine. It's possible to ping and ssh the machine - but the keyboard is dead. Since I'm not in a graphical mode I don't know if the mouse works or not.

This happens with all fc12.i686-kernels, from 2.6.31.5-127 to 2.6.32.11-105 and with the latest xorg and xorg-intel.

If I remove "nomodeset" the machine freezes at random. It will freeze, but I don't know when. I have not testet this with the 2.6.32.11-105-kernel yet - but I have some machines installed with it, and I am waiting for something to happen.

This happens on -all- our 845G-machines, as far as I can tell. And I have a lot of frustrated users...
Comment 44 Joachim Katzer 2010-04-23 12:53:24 EDT
The workaround recommended in the RHEL-6 Beta Release Notes seems to solve the problem for me on my MacBook2,1:
"add i915.powersave=0 to the kernel boot parameters"
Comment 45 Adam Williamson 2010-04-23 21:06:21 EDT
i'm clearing the needinfo flag from this, as several people answered matej's question. any movement on this, ajax?



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 46 Szabo Akos 2010-04-24 06:35:44 EDT
(In reply to comment #44)

You are lucky, it doesn't come back to me.

I've got this error message from Xorg /I can use my notebook, while this messages appear/:
(EE) intel(0): Failed to submit batch buffer, expect rendering corruption or even a frozen display: Input/output error.

And, I think, the main error comes from the kernel:
[drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
render error detected, EIR: 0x00000000
[drm:i915_do_wait_request] *ERROR* i915_do_wait_request returns -5 (awaiting 1166 at 1165)

I Google-ed those messages regularly, but I never found any useful tips :(
Comment 47 Resa Drijsen 2010-05-02 13:35:23 EDT
(In reply to comment #44)
> The workaround recommended in the RHEL-6 Beta Release Notes seems to solve the
> problem for me on my MacBook2,1:
> "add i915.powersave=0 to the kernel boot parameters"    

I am running Fedora on a Dell Dimension 2400 as a dual boot with Ubuntu Lucid Lynx (10.04). I have tried the workaround but still from time to time am being faced with a "black out" on the monitor. The only way to restart from me is using the power button.
Comment 48 Bug Zapper 2010-11-04 02:09:14 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 49 Bug Zapper 2010-12-03 22:12:02 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.